using System.Diagnostics.CodeAnalysis;

namespace OpenHarbor.JwtTokenManager;

[DynamicallyAccessedMembers(DynamicallyAccessedMemberTypes.All)]
public class JwtTokenManagerOptions
{
  public required string TokenEndpoint { get; set; }
  public required string ClientId { get; set; }
  public required string ClientSecret { get; set; }
  public IEnumerable<string> Scopes { get; set; } = Array.Empty<string>();
}

